List CMS Items
curl --request GET \
--url https://api.kardow.com/cms/{slug} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.kardow.com/cms/{slug}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.kardow.com/cms/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {},
"status": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>",
"url": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>",
"url": "<string>"
}
}CMS
List CMS Items
Paginated list of items in a collection.
GET
/
cms
/
{slug}
List CMS Items
By default returns up to 50 items. Use
limit and offset for paging
(maximum limit is 500). Filter on the status field to see drafts or
items pending moderation.
Example
curl "https://api.kardow.com/cms/sponsors?status=published&limit=100" \
-H "x-api-key: $KARDOW_API_KEY"
Authorizations
API key for authentication. Get yours from Settings > API Keys in the Kardow dashboard.
Path Parameters
Query Parameters
Available options:
draft, pending_review, published, expired, archived Required range:
x <= 500Was this page helpful?
āI